#include <curl/curl.h>
#include <iostream>
#include <vector>
#include <cmath>
#include "histogram.h"
#include "svg.h"

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in, bool prompt)
{
    if(prompt)
        cerr << "vvedite col-vo nomerov:";
    size_t number_count;
    in >> number_count;
    Input rez;

    if(prompt)
        cerr << "vvedite nomera:";
    rez.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        in >> rez.numbers[i];
    }
    if(prompt)
        cerr << "vvedite col-vo corzin:";
    in >> rez.bin_count;
    return rez;
}

int
main(int argc, char* argv[])
{
    if (argc > 1)
    {
        cout << argc;
        for (size_t i = 0; i < argc; i++)
        {
            cout << "argv[" << i << "]=" << argv[i];
        }
        return 0;
    }

    curl_global_init(CURL_GLOBAL_ALL);
    bool prompt = false;
    auto in = input_data(cin, prompt);
    auto bins = make_histogram(in.numbers, in.bin_count);
    //show_histogram_svg(bins);
    show_histogram_text(bins, in.numbers, in.bin_count);
}
